tbb::internal::gcc_builtins Namespace Reference

## Functions

int | clz (unsigned int x)
int | clz (unsigned long int x)
int | clz (unsigned long long int x)

## Function Documentation

## clz() [1/3]

int tbb::internal::gcc_builtins::clz | ( | unsigned int | x | ) |

inline

Definition at line 215 of file gcc_generic.h.

{ return __builtin_clz(x); }

Referenced by __TBB_machine_lg().

Here is the caller graph for this function:

## clz() [2/3]

int tbb::internal::gcc_builtins::clz | ( | unsigned long int | x | ) |

inline

Definition at line 216 of file gcc_generic.h.

{ return __builtin_clzl(x); }

## clz() [3/3]

int tbb::internal::gcc_builtins::clz | ( | unsigned long long int | x | ) |

inline

Definition at line 217 of file gcc_generic.h.

{ return __builtin_clzll(x); }

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.